Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class EJBProviderAdmin

    java.lang.Object
      org.wso2.utils.AbstractAdmin
          org.wso2.wsas.admin.service.EJBProviderAdmin

    public class EJBProviderAdmin

extends org.wso2.utils.AbstractAdmin

Admin service to manage EJB Provider

Constructor Summary
`EJBProviderAdmin()`

Method Summary
`void` | `addApplicationServer(java.lang.String providerURL, java.lang.String jndiContextClass, java.lang.String userName, java.lang.String password, java.lang.String appServerType)`
`void` | `addEJBConfiguration(java.lang.String providerURL, java.lang.String jndiContextClass, java.lang.String userName, java.lang.String password, java.lang.String beanJNDIName, java.lang.String homeInterface, java.lang.String remoteInterface, java.lang.String appServerType)`
`void` | `deleteEJBConfiguration(java.lang.String beanJNDIName, java.lang.String jnpProviderUrl)`
`EJBAppServerData[]` | `getAppServerNameList()`
`EJBAppServerData[]` | `getEJBAppServerConfigurations()`
`EJBProviderDO` | `getEJBConfiguration(java.lang.String beanJNDIName, java.lang.String jnpProviderUrl)`
`EJBProviderData[]` | `getEJBConfigurations()`
`ServerData` | `getServerData()`

Methods inherited from class org.wso2.utils.AbstractAdmin
`getAxisConfig, getConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBProviderAdmin

    public EJBProviderAdmin()

Method Detail

### getServerData

    public ServerData getServerData()
                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### addApplicationServer

    public void addApplicationServer(java.lang.String providerURL,
                                     java.lang.String jndiContextClass,
                                     java.lang.String userName,
                                     java.lang.String password,
                                     java.lang.String appServerType)
                              throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### addEJBConfiguration

    public void addEJBConfiguration(java.lang.String providerURL,
                                    java.lang.String jndiContextClass,
                                    java.lang.String userName,
                                    java.lang.String password,
                                    java.lang.String beanJNDIName,
                                    java.lang.String homeInterface,
                                    java.lang.String remoteInterface,
                                    java.lang.String appServerType)
                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getEJBConfigurations

    public EJBProviderData[] getEJBConfigurations()
                                           throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getEJBConfiguration

    public EJBProviderDO getEJBConfiguration(java.lang.String beanJNDIName,
                                             java.lang.String jnpProviderUrl)
                                      throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### deleteEJBConfiguration

    public void deleteEJBConfiguration(java.lang.String beanJNDIName,
                                       java.lang.String jnpProviderUrl)
                                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getAppServerNameList

    public EJBAppServerData[] getAppServerNameList()

### getEJBAppServerConfigurations

    public EJBAppServerData[] getEJBAppServerConfigurations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD